Loading...
Searching...
No Matches
pappso::masschroq::QuantificationMethod Class Reference

`#include <quantificationmethod.h>`

## Public Member Functions

| QuantificationMethod (const QString &id)
| QuantificationMethod (const QuantificationMethod &other)
virtual | ~QuantificationMethod ()
const QString & | getId () const
void | setXicExtractMethod (Enums::XicExtractMethod method)
Enums::XicExtractMethod | getXicExtractMethod () const
void | setXicExtractionLowerPrecisionPtr (pappso::PrecisionPtr precision)
void | setXicExtractionUpperPrecisionPtr (pappso::PrecisionPtr precision)
pappso::PrecisionPtr | getXicExtractionMeanPrecisionPtr () const
void | addXicFilter (const pappso::FilterNameInterfaceSPtr &filter)
void | setXicFilter (const pappso::FilterNameInterfaceSPtr &filter)
void | setTraceDetectionInterfaceCstSPtr (const pappso::TraceDetectionInterfaceCstSPtr &detection)
const pappso::TraceDetectionInterfaceCstSPtr & | getTraceDetectionInterfaceCstSPtr () const
const pappso::FilterNameInterfaceSPtr | getXicFilter () const
const FilterSuiteStringSPtr & | getFilterSuiteStringSPtr () const
const pappso::MzRange | getXicExtractionMzRange (double mz) const
pappso::ProjectParameters | getProjectParameters () const
void | setJsonObject (const QJsonObject &json_object)
QJsonObject | getJsonObject () const
pappso::PrecisionPtr | getXicExtractionLowerPrecisionPtr () const
pappso::PrecisionPtr | getXicExtractionUppersPrecisionPtr () const
void | setMatchBetweenRun (bool is_match)
bool | getMatchBetweenRun () const
void | setIsotopeMinimumRatio (double ratio)
double | getIsotopeMinimumRatio () const
void | setXicExtractionRtRange (double rt_range)
double | getXicExtractionRtRange () const

## Private Attributes

const QString | m_id
Enums::XicExtractMethod | m_xicExtractMethod = Enums::XicExtractMethod::max
pappso::PrecisionPtr | mp_xicExtractionLowerPrecisionPtr = nullptr
pappso::PrecisionPtr | mp_xicExtractionUppersPrecisionPtr = nullptr
double | m_xicExtractionRetentionTimeAroundTarget = 300
| set the retention time range in seconds around the target rt
pappso::FilterSuiteStringSPtr | m_xicFilterSuite
| the xic filters
pappso::TraceDetectionInterfaceCstSPtr | mcsp_traceDetectionInterfaceCstSPtr
| the peak detection method for this quantification
bool | m_matchBetweenRun = true
double | m_isotopeMinimumRatio = 0
| the minimum percentage of theoretical intensity of the isotope pattern to compute

## Detailed Description

Todo
  write docs

Definition at line 51 of file quantificationmethod.h.

## Constructor & Destructor Documentation

## QuantificationMethod() [1/2]

pappso::masschroq::QuantificationMethod::QuantificationMethod | ( | const QString & | id | ) |

Default constructor

Definition at line 39 of file quantificationmethod.cpp.

: m_id(id)
{
// by default
qDebug();
mp_xicExtractionLowerPrecisionPtr = PrecisionFactory::getPpmInstance(10);
mp_xicExtractionUppersPrecisionPtr = PrecisionFactory::getPpmInstance(10);
m_isotopeMinimumRatio = 0.8;
qDebug();
setXicFilter(std::make_shared<FilterMorphoAntiSpike>(5));
qDebug();
mcsp_traceDetectionInterfaceCstSPtr = std::make_shared<TraceDetectionZivy>(1, 3, 2, 5000, 3000);
qDebug();
}
pappso::PrecisionFactory::getPpmInstance
static PrecisionPtr getPpmInstance(pappso_double value)
get a ppm precision pointer
Definition precision.cpp:155
pappso::masschroq::QuantificationMethod::mp_xicExtractionUppersPrecisionPtr
pappso::PrecisionPtr mp_xicExtractionUppersPrecisionPtr
Definition quantificationmethod.h:118
pappso::masschroq::QuantificationMethod::mp_xicExtractionLowerPrecisionPtr
pappso::PrecisionPtr mp_xicExtractionLowerPrecisionPtr
Definition quantificationmethod.h:117
pappso::masschroq::QuantificationMethod::mcsp_traceDetectionInterfaceCstSPtr
pappso::TraceDetectionInterfaceCstSPtr mcsp_traceDetectionInterfaceCstSPtr
the peak detection method for this quantification
Definition quantificationmethod.h:137
pappso::masschroq::QuantificationMethod::setXicFilter
void setXicFilter(const pappso::FilterNameInterfaceSPtr &filter)
Definition quantificationmethod.cpp:113
pappso::masschroq::QuantificationMethod::m_id
const QString m_id
Definition quantificationmethod.h:114
pappso::masschroq::QuantificationMethod::m_isotopeMinimumRatio
double m_isotopeMinimumRatio
the minimum percentage of theoretical intensity of the isotope pattern to compute
Definition quantificationmethod.h:144

References pappso::PrecisionFactory::getPpmInstance(), m_id, m_isotopeMinimumRatio, mcsp_traceDetectionInterfaceCstSPtr, mp_xicExtractionLowerPrecisionPtr, mp_xicExtractionUppersPrecisionPtr, and setXicFilter().

## QuantificationMethod() [2/2]

pappso::masschroq::QuantificationMethod::QuantificationMethod | ( | const QuantificationMethod & | other | ) |

Definition at line 55 of file quantificationmethod.cpp.

: m_id(other.m_id)
{
m_isotopeMinimumRatio = other.m_isotopeMinimumRatio;
m_matchBetweenRun = other.m_matchBetweenRun;
m_xicExtractMethod = other.m_xicExtractMethod;
m_xicFilterSuite = other.m_xicFilterSuite;
mcsp_traceDetectionInterfaceCstSPtr = other.mcsp_traceDetectionInterfaceCstSPtr;
mp_xicExtractionLowerPrecisionPtr = other.mp_xicExtractionLowerPrecisionPtr;
mp_xicExtractionUppersPrecisionPtr = other.mp_xicExtractionUppersPrecisionPtr;
m_xicExtractionRetentionTimeAroundTarget = other.m_xicExtractionRetentionTimeAroundTarget;
}
pappso::masschroq::QuantificationMethod::m_xicFilterSuite
pappso::FilterSuiteStringSPtr m_xicFilterSuite
the xic filters
Definition quantificationmethod.h:133
pappso::masschroq::QuantificationMethod::m_xicExtractionRetentionTimeAroundTarget
double m_xicExtractionRetentionTimeAroundTarget
set the retention time range in seconds around the target rt
Definition quantificationmethod.h:129
pappso::masschroq::QuantificationMethod::m_matchBetweenRun
bool m_matchBetweenRun
Definition quantificationmethod.h:139
pappso::masschroq::QuantificationMethod::m_xicExtractMethod
Enums::XicExtractMethod m_xicExtractMethod
Definition quantificationmethod.h:115

References m_id, m_isotopeMinimumRatio, m_matchBetweenRun, m_xicExtractionRetentionTimeAroundTarget, m_xicExtractMethod, m_xicFilterSuite, mcsp_traceDetectionInterfaceCstSPtr, mp_xicExtractionLowerPrecisionPtr, and mp_xicExtractionUppersPrecisionPtr.

## ~QuantificationMethod()

pappso::masschroq::QuantificationMethod::~QuantificationMethod | ( |  | ) |

virtual

Destructor

Definition at line 69 of file quantificationmethod.cpp.

{
}

## Member Function Documentation

## addXicFilter()

void pappso::masschroq::QuantificationMethod::addXicFilter | ( | const pappso::FilterNameInterfaceSPtr & | filter | ) |

Definition at line 120 of file quantificationmethod.cpp.

{
if(m_xicFilterSuite.get() == nullptr)
{
m_xicFilterSuite = std::make_shared<FilterSuiteString>(filter.get()->toString());
}
else
{
m_xicFilterSuite.get()->addFilter(filter);
}
}
pappso::ProjectParamCategory::filter
@ filter
concerning filters (psm, peptide, protein validation)
Definition projectparameters.h:48

References pappso::filter, and m_xicFilterSuite.

Referenced by setJsonObject().

## getFilterSuiteStringSPtr()

const FilterSuiteStringSPtr & pappso::masschroq::QuantificationMethod::getFilterSuiteStringSPtr | ( |  | ) | const

Definition at line 133 of file quantificationmethod.cpp.

{
return m_xicFilterSuite;
}

References m_xicFilterSuite.

## getId()

const QString & pappso::masschroq::QuantificationMethod::getId | ( |  | ) | const

Definition at line 74 of file quantificationmethod.cpp.

{
return m_id;
}

References m_id.

## getIsotopeMinimumRatio()

double pappso::masschroq::QuantificationMethod::getIsotopeMinimumRatio | ( |  | ) | const

Definition at line 107 of file quantificationmethod.cpp.

{
return m_isotopeMinimumRatio;
}

References m_isotopeMinimumRatio.

Referenced by getProjectParameters(), and pappso::masschroq::PeptideMeasurementsBase::prepareMeasurementsForPeptide().

## getJsonObject()

QJsonObject pappso::masschroq::QuantificationMethod::getJsonObject | ( |  | ) | const

Definition at line 279 of file quantificationmethod.cpp.

{
QJsonObject method;
qDebug();
QString xic_type = Utils::enumToString(m_xicExtractMethod);
if(mp_xicExtractionUppersPrecisionPtr == nullptr)
{
throw PappsoException(
"mp_xicExtractionUppersPrecisionPtr == "
"nullptr");
}
if(mp_xicExtractionLowerPrecisionPtr == nullptr)
{
throw PappsoException(
"mp_xicExtractionLowerPrecisionPtr == "
"nullptr");
}
qDebug();
QJsonObject precision;
precision.insert("unit", Utils::enumToString(mp_xicExtractionUppersPrecisionPtr->unit()));
precision.insert("down", mp_xicExtractionLowerPrecisionPtr->getNominal());
precision.insert("up", mp_xicExtractionUppersPrecisionPtr->getNominal());
QJsonObject extraction;
extraction.insert("integration", xic_type);
extraction.insert("precision", precision);
method.insert("extraction", extraction);
method.insert("match_between_run", m_matchBetweenRun);
method.insert("isotope_minimum_ratio", m_isotopeMinimumRatio);
method.insert("rt_range", m_xicExtractionRetentionTimeAroundTarget);
// xic_filters
if(m_xicFilterSuite.get() == nullptr)
{
throw PappsoException(
"m_xicFilterSuite.get() == "
"nullptr");
}
method.insert("pre_filter", m_xicFilterSuite.get()->toString());
const TraceDetectionZivy *detection_zivy =
dynamic_cast<const TraceDetectionZivy *>(getTraceDetectionInterfaceCstSPtr().get());
if(detection_zivy == nullptr)
{
throw PappsoException(
"m_quantificationMethod.getTraceDetectionInterfaceCstSPtr().get() == "
"nullptr");
}
QJsonObject detection;
detection.insert("type", "zivy");
detection.insert("meanfilter", (int)detection_zivy->getSmoothingHalfEdgeWindows());
detection.insert("minmax", (int)detection_zivy->getMinMaxHalfEdgeWindows());
detection.insert("maxmin", (int)detection_zivy->getMaxMinHalfEdgeWindows());
detection.insert("threshold_on_max", detection_zivy->getDetectionThresholdOnMinmax());
detection.insert("threshold_on_min", detection_zivy->getDetectionThresholdOnMaxmin());
method.insert("detection", detection);
return method;
}
pappso::masschroq::QuantificationMethod::getTraceDetectionInterfaceCstSPtr
const pappso::TraceDetectionInterfaceCstSPtr & getTraceDetectionInterfaceCstSPtr() const
Definition quantificationmethod.cpp:199
pappso::masschroq::Utils::enumToString
static QString enumToString(PeakQualityCategory peak_category)
Convenience function to return a string describing the specglob alingment type.
Definition utils.cpp:44

References pappso::masschroq::Utils::enumToString(), pappso::TraceDetectionZivy::getDetectionThresholdOnMaxmin(), pappso::TraceDetectionZivy::getDetectionThresholdOnMinmax(), pappso::TraceDetectionZivy::getMaxMinHalfEdgeWindows(), pappso::TraceDetectionZivy::getMinMaxHalfEdgeWindows(), pappso::TraceDetectionZivy::getSmoothingHalfEdgeWindows(), getTraceDetectionInterfaceCstSPtr(), m_isotopeMinimumRatio, m_matchBetweenRun, m_xicExtractionRetentionTimeAroundTarget, m_xicExtractMethod, m_xicFilterSuite, mp_xicExtractionLowerPrecisionPtr, and mp_xicExtractionUppersPrecisionPtr.

## getMatchBetweenRun()

bool pappso::masschroq::QuantificationMethod::getMatchBetweenRun | ( |  | ) | const

Definition at line 92 of file quantificationmethod.cpp.

{
return m_matchBetweenRun;
}

References m_matchBetweenRun.

Referenced by getProjectParameters(), and pappso::masschroq::MsRunGroup::quantify().

## getProjectParameters()

ProjectParameters pappso::masschroq::QuantificationMethod::getProjectParameters | ( |  | ) | const

Definition at line 205 of file quantificationmethod.cpp.

{
ProjectParameters parameters;
ProjectParam project_param({ProjectParamCategory::quantification, "", QVariant()});
// xic_type="max"
project_param.name = "mcq_xic_extraction_type";
project_param.value.setValue(masschroq::Utils::enumToString(m_xicExtractMethod));
parameters.setProjectParam(project_param);
project_param.name = "mcq_mbr";
project_param.value.setValue(getMatchBetweenRun());
parameters.setProjectParam(project_param);
project_param.name = "mcq_isotope_minimum_ratio";
project_param.value.setValue(getIsotopeMinimumRatio());
parameters.setProjectParam(project_param);
if(mp_xicExtractionLowerPrecisionPtr->unit() == Enums::PrecisionUnit::ppm)
{
//<!--For XIC extraction on Da use: mz_range-->
//<ppm_range min="10" max="10"/>
project_param.name = "mcq_xic_ppm_range_min";
project_param.value.setValue(mp_xicExtractionLowerPrecisionPtr->getNominal());
parameters.setProjectParam(project_param);
project_param.name = "mcq_xic_ppm_range_max";
project_param.value.setValue(mp_xicExtractionUppersPrecisionPtr->getNominal());
parameters.setProjectParam(project_param);
}
if(mp_xicExtractionLowerPrecisionPtr->unit() == Enums::PrecisionUnit::dalton)
{
//<!--For XIC extraction on Da use: mz_range-->
//<ppm_range min="10" max="10"/>
project_param.name = "mcq_xic_mz_range_min";
project_param.value.setValue(mp_xicExtractionLowerPrecisionPtr->getNominal());
parameters.setProjectParam(project_param);
project_param.name = "mcq_xic_mz_range_max";
project_param.value.setValue(mp_xicExtractionUppersPrecisionPtr->getNominal());
parameters.setProjectParam(project_param);
}
project_param.name = "mcq_xic_pre_filter";
if(m_xicFilterSuite.get() != nullptr)
project_param.value.setValue(m_xicFilterSuite.get()->toString());
else
project_param.value.setValue("");
parameters.setProjectParam(project_param);
const TraceDetectionZivy *detection_zivy =
dynamic_cast<const TraceDetectionZivy *>(mcsp_traceDetectionInterfaceCstSPtr.get());
if(detection_zivy != nullptr)
{
project_param.name = "mcq_detection_zivy";
project_param.value.setValue(QString("%1 %2 %3 %4 %5")
.arg(detection_zivy->getSmoothingHalfEdgeWindows())
.arg(detection_zivy->getMinMaxHalfEdgeWindows())
.arg(detection_zivy->getMaxMinHalfEdgeWindows())
.arg(detection_zivy->getDetectionThresholdOnMinmax())
.arg(detection_zivy->getDetectionThresholdOnMaxmin()));
parameters.setProjectParam(project_param);
}
return parameters;
}
pappso::masschroq::QuantificationMethod::getMatchBetweenRun
bool getMatchBetweenRun() const
Definition quantificationmethod.cpp:92
pappso::masschroq::QuantificationMethod::getIsotopeMinimumRatio
double getIsotopeMinimumRatio() const
Definition quantificationmethod.cpp:107
pappso::Enums::PrecisionUnit::ppm
@ ppm
Definition types.h:99
pappso::Enums::PrecisionUnit::dalton
@ dalton
Definition types.h:98
pappso::ProjectParamCategory::quantification
@ quantification
quantification
Definition projectparameters.h:49

References pappso::Enums::dalton, pappso::masschroq::Utils::enumToString(), pappso::TraceDetectionZivy::getDetectionThresholdOnMaxmin(), pappso::TraceDetectionZivy::getDetectionThresholdOnMinmax(), getIsotopeMinimumRatio(), getMatchBetweenRun(), pappso::TraceDetectionZivy::getMaxMinHalfEdgeWindows(), pappso::TraceDetectionZivy::getMinMaxHalfEdgeWindows(), pappso::TraceDetectionZivy::getSmoothingHalfEdgeWindows(), m_xicExtractMethod, m_xicFilterSuite, mcsp_traceDetectionInterfaceCstSPtr, mp_xicExtractionLowerPrecisionPtr, mp_xicExtractionUppersPrecisionPtr, pappso::ProjectParam::name, pappso::Enums::ppm, pappso::quantification, and pappso::ProjectParameters::setProjectParam().

## getTraceDetectionInterfaceCstSPtr()

const TraceDetectionInterfaceCstSPtr & pappso::masschroq::QuantificationMethod::getTraceDetectionInterfaceCstSPtr | ( |  | ) | const

Definition at line 199 of file quantificationmethod.cpp.

{
return mcsp_traceDetectionInterfaceCstSPtr;
}

References mcsp_traceDetectionInterfaceCstSPtr.

Referenced by pappso::masschroq::MbrPeptideMeasurements::detectQuantifyPeaks(), pappso::masschroq::PeptideMeasurements::detectQuantifyPeaks(), and getJsonObject().

## getXicExtractionLowerPrecisionPtr()

PrecisionPtr pappso::masschroq::QuantificationMethod::getXicExtractionLowerPrecisionPtr | ( |  | ) | const

Definition at line 436 of file quantificationmethod.cpp.

{
return mp_xicExtractionLowerPrecisionPtr;
}

References mp_xicExtractionLowerPrecisionPtr.

## getXicExtractionMeanPrecisionPtr()

PrecisionPtr pappso::masschroq::QuantificationMethod::getXicExtractionMeanPrecisionPtr | ( |  | ) | const

Definition at line 140 of file quantificationmethod.cpp.

{
if(mp_xicExtractionLowerPrecisionPtr->unit() == Enums::PrecisionUnit::ppm)
{
return PrecisionFactory::getPpmInstance((mp_xicExtractionLowerPrecisionPtr->getNominal() +
mp_xicExtractionUppersPrecisionPtr->getNominal()) /
2);
}
return PrecisionFactory::getDaltonInstance((mp_xicExtractionLowerPrecisionPtr->getNominal() +
mp_xicExtractionUppersPrecisionPtr->getNominal()) /
2);
}
pappso::PrecisionFactory::getDaltonInstance
static PrecisionPtr getDaltonInstance(pappso_double value)
get a Dalton precision pointer
Definition precision.cpp:136

References pappso::PrecisionFactory::getDaltonInstance(), pappso::PrecisionFactory::getPpmInstance(), mp_xicExtractionLowerPrecisionPtr, mp_xicExtractionUppersPrecisionPtr, and pappso::Enums::ppm.

Referenced by pappso::masschroq::PeptideMeasurementsBase::generateMeasurementsForIsotopeList().

## getXicExtractionMzRange()

const MzRange pappso::masschroq::QuantificationMethod::getXicExtractionMzRange | ( | double | mz | ) | const

Definition at line 192 of file quantificationmethod.cpp.

{
return MzRange(mz, mp_xicExtractionLowerPrecisionPtr, mp_xicExtractionUppersPrecisionPtr);
}

References mp_xicExtractionLowerPrecisionPtr, and mp_xicExtractionUppersPrecisionPtr.

Referenced by pappso::masschroq::PeptideMeasurementsBase::generateMeasurementsForIsotopeList(), and pappso::masschroq::PeptideMeasurementsBase::prepareMeasurementsForPeptide().

## getXicExtractionRtRange()

double pappso::masschroq::QuantificationMethod::getXicExtractionRtRange | ( |  | ) | const

Definition at line 80 of file quantificationmethod.cpp.

{
return m_xicExtractionRetentionTimeAroundTarget;
}

References m_xicExtractionRetentionTimeAroundTarget.

Referenced by pappso::masschroq::MsRunPeptideList::quantify(), and pappso::masschroq::MsRunPeptideList::quantifyMatchBetweenRun().

## getXicExtractionUppersPrecisionPtr()

PrecisionPtr pappso::masschroq::QuantificationMethod::getXicExtractionUppersPrecisionPtr | ( |  | ) | const

Definition at line 442 of file quantificationmethod.cpp.

{
return mp_xicExtractionUppersPrecisionPtr;
}

References mp_xicExtractionUppersPrecisionPtr.

## getXicExtractMethod()

Enums::XicExtractMethod pappso::masschroq::QuantificationMethod::getXicExtractMethod | ( |  | ) | const

Definition at line 155 of file quantificationmethod.cpp.

{
return m_xicExtractMethod;
}

References m_xicExtractMethod.

Referenced by pappso::masschroq::MsRunPeptideList::quantify(), and pappso::masschroq::MsRunPeptideList::quantifyMatchBetweenRun().

## getXicFilter()

const FilterNameInterfaceSPtr pappso::masschroq::QuantificationMethod::getXicFilter | ( |  | ) | const

Definition at line 186 of file quantificationmethod.cpp.

{
return m_xicFilterSuite;
}

References m_xicFilterSuite.

Referenced by pappso::masschroq::MsRunPeptideList::quantify(), and pappso::masschroq::MsRunPeptideList::quantifyMatchBetweenRun().

## setIsotopeMinimumRatio()

void pappso::masschroq::QuantificationMethod::setIsotopeMinimumRatio | ( | double | ratio | ) |

Definition at line 98 of file quantificationmethod.cpp.

{
if((ratio < 1) && (ratio >= 0))
{
m_isotopeMinimumRatio = ratio;
}
}

References m_isotopeMinimumRatio.

## setJsonObject()

void pappso::masschroq::QuantificationMethod::setJsonObject | ( | const QJsonObject & | json_object | ) |

Definition at line 350 of file quantificationmethod.cpp.

{
m_matchBetweenRun = quantification_method.value("match_between_run").toBool();
m_isotopeMinimumRatio = quantification_method.value("isotope_minimum_ratio").toDouble();
QString filter_str = quantification_method.value("pre_filter").toString();
qDebug() << filter_str;
if(!filter_str.isEmpty())
{
FilterNameInterfaceSPtr filter_sp = std::make_shared<FilterSuiteString>(filter_str);
addXicFilter(filter_sp);
qDebug() << filter_str;
}
QJsonObject extraction = quantification_method.value("extraction").toObject();
QJsonValue rt_range = extraction.value("rt_range");
if(!rt_range.isUndefined())
{
setXicExtractionRtRange(rt_range.toDouble());
}
QString integration = extraction.value("integration").toString();
if(integration == "sum")
{
setXicExtractMethod(Enums::XicExtractMethod::sum);
}
else if(integration == "max")
{
setXicExtractMethod(Enums::XicExtractMethod::max);
}
else
{
throw ExceptionNotFound(QObject::tr("missing "
"masschroq_methods>quantification_method>extraction>"
"integration %1 value")
.arg(integration));
}
QJsonObject precision = extraction.value("precision").toObject();
qDebug() << precision.value("down").toDouble();
qDebug() << precision.value("up").toDouble();
if(precision.value("unit").toString() == "dalton")
{
setXicExtractionLowerPrecisionPtr(
PrecisionFactory::getDaltonInstance(precision.value("down").toDouble()));
setXicExtractionUpperPrecisionPtr(
PrecisionFactory::getDaltonInstance(precision.value("up").toDouble()));
}
else if(precision.value("unit").toString() == "ppm")
{
setXicExtractionLowerPrecisionPtr(
PrecisionFactory::getPpmInstance(precision.value("down").toDouble()));
setXicExtractionUpperPrecisionPtr(
PrecisionFactory::getPpmInstance(precision.value("up").toDouble()));
}
else
{
throw ExceptionNotFound(
QObject::tr("missing "
"masschroq_methods>quantification_method>extraction>precision>"
"unit"));
}
QJsonObject detection = quantification_method.value("detection").toObject();
if(detection.value("type").toString() == "zivy")
{
std::shared_ptr<TraceDetectionZivy> sp_detection_zivy =
std::make_shared<TraceDetectionZivy>(detection.value("meanfilter").toInt(),
detection.value("minmax").toInt(),
detection.value("maxmin").toInt(),
detection.value("threshold_on_max").toInt(),
detection.value("threshold_on_min").toInt());
setTraceDetectionInterfaceCstSPtr(sp_detection_zivy);
}
else
{
throw ExceptionNotFound(
QObject::tr("only masschroq_methods>quantification_method>detection>type == zivy "
"allowed"));
}
}
pappso::masschroq::QuantificationMethod::setXicExtractionUpperPrecisionPtr
void setXicExtractionUpperPrecisionPtr(pappso::PrecisionPtr precision)
Definition quantificationmethod.cpp:174
pappso::masschroq::QuantificationMethod::setXicExtractMethod
void setXicExtractMethod(Enums::XicExtractMethod method)
Definition quantificationmethod.cpp:180
pappso::masschroq::QuantificationMethod::addXicFilter
void addXicFilter(const pappso::FilterNameInterfaceSPtr &filter)
Definition quantificationmethod.cpp:120
pappso::masschroq::QuantificationMethod::setXicExtractionRtRange
void setXicExtractionRtRange(double rt_range)
Definition quantificationmethod.cpp:86
pappso::masschroq::QuantificationMethod::setXicExtractionLowerPrecisionPtr
void setXicExtractionLowerPrecisionPtr(pappso::PrecisionPtr precision)
Definition quantificationmethod.cpp:168
pappso::masschroq::QuantificationMethod::setTraceDetectionInterfaceCstSPtr
void setTraceDetectionInterfaceCstSPtr(const pappso::TraceDetectionInterfaceCstSPtr &detection)
Definition quantificationmethod.cpp:161
pappso::Enums::XicExtractMethod::sum
@ sum
sum of intensities
Definition types.h:279
pappso::Enums::XicExtractMethod::max
@ max
maximum of intensities
Definition types.h:280
pappso::FilterNameInterfaceSPtr
std::shared_ptr< FilterNameInterface > FilterNameInterfaceSPtr
Definition filternameinterface.h:59

References addXicFilter(), pappso::PrecisionFactory::getDaltonInstance(), pappso::PrecisionFactory::getPpmInstance(), m_isotopeMinimumRatio, m_matchBetweenRun, pappso::Enums::max, setTraceDetectionInterfaceCstSPtr(), setXicExtractionLowerPrecisionPtr(), setXicExtractionRtRange(), setXicExtractionUpperPrecisionPtr(), setXicExtractMethod(), and pappso::Enums::sum.

## setMatchBetweenRun()

void pappso::masschroq::QuantificationMethod::setMatchBetweenRun | ( | bool | is_match | ) |

Definition at line 448 of file quantificationmethod.cpp.

{
m_matchBetweenRun = is_match;
}

References m_matchBetweenRun.

## setTraceDetectionInterfaceCstSPtr()

void pappso::masschroq::QuantificationMethod::setTraceDetectionInterfaceCstSPtr | ( | const pappso::TraceDetectionInterfaceCstSPtr & | detection | ) |

Definition at line 161 of file quantificationmethod.cpp.

{
mcsp_traceDetectionInterfaceCstSPtr = detection;
}

References mcsp_traceDetectionInterfaceCstSPtr.

Referenced by setJsonObject().

## setXicExtractionLowerPrecisionPtr()

void pappso::masschroq::QuantificationMethod::setXicExtractionLowerPrecisionPtr | ( | pappso::PrecisionPtr | precision | ) |

Definition at line 168 of file quantificationmethod.cpp.

{
mp_xicExtractionLowerPrecisionPtr = precision;
}

References mp_xicExtractionLowerPrecisionPtr.

Referenced by setJsonObject().

## setXicExtractionRtRange()

void pappso::masschroq::QuantificationMethod::setXicExtractionRtRange | ( | double | rt_range | ) |

Definition at line 86 of file quantificationmethod.cpp.

{
m_xicExtractionRetentionTimeAroundTarget = rt_range;
}

References m_xicExtractionRetentionTimeAroundTarget.

Referenced by setJsonObject().

## setXicExtractionUpperPrecisionPtr()

void pappso::masschroq::QuantificationMethod::setXicExtractionUpperPrecisionPtr | ( | pappso::PrecisionPtr | precision | ) |

Definition at line 174 of file quantificationmethod.cpp.

{
mp_xicExtractionUppersPrecisionPtr = precision;
}

References mp_xicExtractionUppersPrecisionPtr.

Referenced by setJsonObject().

## setXicExtractMethod()

void pappso::masschroq::QuantificationMethod::setXicExtractMethod | ( | Enums::XicExtractMethod | method | ) |

Definition at line 180 of file quantificationmethod.cpp.

{
m_xicExtractMethod = method;
}

References m_xicExtractMethod.

Referenced by setJsonObject().

## setXicFilter()

void pappso::masschroq::QuantificationMethod::setXicFilter | ( | const pappso::FilterNameInterfaceSPtr & | filter | ) |

Definition at line 113 of file quantificationmethod.cpp.

{
m_xicFilterSuite = std::make_shared<FilterSuiteString>(filter.get()->toString());
}

References pappso::filter, and m_xicFilterSuite.

Referenced by QuantificationMethod().

## Member Data Documentation

## m_id

const QString pappso::masschroq::QuantificationMethod::m_id

private

Definition at line 114 of file quantificationmethod.h.

Referenced by QuantificationMethod(), QuantificationMethod(), and getId().

## m_isotopeMinimumRatio

double pappso::masschroq::QuantificationMethod::m_isotopeMinimumRatio = 0

private

the minimum percentage of theoretical intensity of the isotope pattern to compute

Definition at line 144 of file quantificationmethod.h.

Referenced by QuantificationMethod(), QuantificationMethod(), getIsotopeMinimumRatio(), getJsonObject(), setIsotopeMinimumRatio(), and setJsonObject().

## m_matchBetweenRun

bool pappso::masschroq::QuantificationMethod::m_matchBetweenRun = true

private

Definition at line 139 of file quantificationmethod.h.

Referenced by QuantificationMethod(), getJsonObject(), getMatchBetweenRun(), setJsonObject(), and setMatchBetweenRun().

## m_xicExtractionRetentionTimeAroundTarget

double pappso::masschroq::QuantificationMethod::m_xicExtractionRetentionTimeAroundTarget = 300

private

set the retention time range in seconds around the target rt

only the interesting part of the xic will be extracted, form the rt target

- range_in_seconds to rt target + range in seconds by default, all the LC run time is extracted

Parameters

  range_in_seconds | range in seconds

Definition at line 129 of file quantificationmethod.h.

Referenced by QuantificationMethod(), getJsonObject(), getXicExtractionRtRange(), and setXicExtractionRtRange().

## m_xicExtractMethod

Enums::XicExtractMethod pappso::masschroq::QuantificationMethod::m_xicExtractMethod = Enums::XicExtractMethod::max

private

Definition at line 115 of file quantificationmethod.h.

Referenced by QuantificationMethod(), getJsonObject(), getProjectParameters(), getXicExtractMethod(), and setXicExtractMethod().

## m_xicFilterSuite

pappso::FilterSuiteStringSPtr pappso::masschroq::QuantificationMethod::m_xicFilterSuite

private

the xic filters

Definition at line 133 of file quantificationmethod.h.

Referenced by QuantificationMethod(), addXicFilter(), getFilterSuiteStringSPtr(), getJsonObject(), getProjectParameters(), getXicFilter(), and setXicFilter().

## mcsp_traceDetectionInterfaceCstSPtr

pappso::TraceDetectionInterfaceCstSPtr pappso::masschroq::QuantificationMethod::mcsp_traceDetectionInterfaceCstSPtr

private

the peak detection method for this quantification

Definition at line 137 of file quantificationmethod.h.

Referenced by QuantificationMethod(), QuantificationMethod(), getProjectParameters(), getTraceDetectionInterfaceCstSPtr(), and setTraceDetectionInterfaceCstSPtr().

## mp_xicExtractionLowerPrecisionPtr

pappso::PrecisionPtr pappso::masschroq::QuantificationMethod::mp_xicExtractionLowerPrecisionPtr = nullptr

private

Definition at line 117 of file quantificationmethod.h.

Referenced by QuantificationMethod(), QuantificationMethod(), getJsonObject(), getProjectParameters(), getXicExtractionLowerPrecisionPtr(), getXicExtractionMeanPrecisionPtr(), getXicExtractionMzRange(), and setXicExtractionLowerPrecisionPtr().

## mp_xicExtractionUppersPrecisionPtr

pappso::PrecisionPtr pappso::masschroq::QuantificationMethod::mp_xicExtractionUppersPrecisionPtr = nullptr

private

Definition at line 118 of file quantificationmethod.h.

Referenced by QuantificationMethod(), QuantificationMethod(), getJsonObject(), getProjectParameters(), getXicExtractionMeanPrecisionPtr(), getXicExtractionMzRange(), getXicExtractionUppersPrecisionPtr(), and setXicExtractionUpperPrecisionPtr().

The documentation for this class was generated from the following files:

- pappsomspp/core/masschroq/quantificationmethod.h
- pappsomspp/core/masschroq/quantificationmethod.cpp